com.pixelmed.doseocr

## Class ExposureDoseSequence

- java.lang.Object
- - com.pixelmed.doseocr.ExposureDoseSequence

    public class ExposureDoseSequence
    extends java.lang.Object

A class to extract Exposure Dose Sequence and related attributes from Philips modality dose report screen saves.

### Constructor Summary

Constructors
Constructor and Description
`ExposureDoseSequence()`

### Method Summary

Methods
`static CTDose` `getCTDoseFromExposureDoseSequence(AttributeList list, int debugLevel, CTIrradiationEventDataFromImages eventDataFromImages, boolean buildSR)`
`static java.lang.String` `getPhilipsPrivateDLPValue(AttributeList list)`
`static java.lang.String` `getValuesFromCommentsOnRadiationDose(AttributeList list, java.util.Map<java.lang.String,java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber, java.util.Map<java.lang.String,java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber, int debugLevel)`
`static boolean` `isPhilipsDoseScreenInstance(AttributeList list)`
`static boolean` `isPossiblyPhilipsDoseScreenInstance(AttributeList list)`
`static boolean` `isPossiblyPhilipsDoseScreenInstance(java.lang.String manufacturer, java.lang.String sopClassUID, java.lang.String imageType)`
`static boolean` `isPossiblyPhilipsDoseScreenSeries(AttributeList list)`
`static boolean` `isPossiblyPhilipsDoseScreenSeries(java.lang.String manufacturer, java.lang.String modality, java.lang.String seriesNumber, java.lang.String seriesDescription)`
`static void` `main(java.lang.String[] arg)` Extract the CT dose information from the Exposure Dose Sequence in a screen save or localizer image, correlate it with any acquired CT slice images.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExposureDoseSequence

    public ExposureDoseSequence()

### Method Detail

#### getValuesFromCommentsOnRadiationDose

    public static java.lang.String getValuesFromCommentsOnRadiationDose(AttributeList list,
                                                        java.util.Map<java.lang.String,java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber,
                                                        java.util.Map<java.lang.String,java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber,
                                                        int debugLevel)
                                                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### getPhilipsPrivateDLPValue

    public static java.lang.String getPhilipsPrivateDLPValue(AttributeList list)
                                                      throws DicomException

Throws:
  `DicomException`

#### isPossiblyPhilipsDoseScreenSeries

    public static boolean isPossiblyPhilipsDoseScreenSeries(java.lang.String manufacturer,
                                            java.lang.String modality,
                                            java.lang.String seriesNumber,
                                            java.lang.String seriesDescription)

#### isPossiblyPhilipsDoseScreenSeries

    public static boolean isPossiblyPhilipsDoseScreenSeries(AttributeList list)

#### isPossiblyPhilipsDoseScreenInstance

    public static boolean isPossiblyPhilipsDoseScreenInstance(java.lang.String manufacturer,
                                              java.lang.String sopClassUID,
                                              java.lang.String imageType)

#### isPossiblyPhilipsDoseScreenInstance

    public static boolean isPossiblyPhilipsDoseScreenInstance(AttributeList list)

#### isPhilipsDoseScreenInstance

    public static boolean isPhilipsDoseScreenInstance(AttributeList list)

#### getCTDoseFromExposureDoseSequence

    public static CTDose getCTDoseFromExposureDoseSequence(AttributeList list,
                                           int debugLevel,
                                           CTIrradiationEventDataFromImages eventDataFromImages,
                                           boolean buildSR)
                                                    throws java.io.IOException,
                                                           DicomException

Throws:
  `java.io.IOException`
  `DicomException`

#### main

    public static final void main(java.lang.String[] arg)

Extract the CT dose information from the Exposure Dose Sequence in a screen save or localizer image, correlate it with any acquired CT slice images.

Parameters:
  `arg` - an array of 1 to 4 strings - the file name of the dose screen save image (or "-" if to search for dose screen amongst acquired images), then optionally the path to a DICOMDIR or folder containing acquired CT slice images (or "-" if none and more arguments) then optionally the name of Dose SR file to write (or "-" if none and more arguments) then optionally the debug level